Documentation Index

Fetch the complete documentation index at: https://developers.torq.io/llms.txt

Use this file to discover all available pages before exploring further.

Change verdict

Prev Next
Post
/v1/triage/alerts/{alert_id}/verdict-review:change

Overrides the Auto Triage verdict and/or severity on an alert.

Security
HTTP
Type bearer
Path parameters
alert_id
stringRequired

The alert identifier, a UUID. This property is required.

Body parameters
Expand All
object
changes
object (torq.public.triage.v1.VerdictChanges)

Verdict and/or severity changes.

severity
string

The new severity if changed. Possible values: "Critical", "High", "Medium", "Low", "Info". Empty if unchanged.

Valid values[ "Info", "Low", "Medium", "High", "Critical" ]
verdict
string

The new verdict if changed. Possible values: "True Positive - Malicious", "True Positive - Benign", "False Positive". Empty if unchanged.

Valid values[ "True Positive - Malicious", "True Positive - Benign", "False Positive" ]
comment
string

An analyst note explaining the verdict change decision, max 2,000 characters. This property is required.

Min length1
Max length2000
Responses
200

A successful response.

Expand All
object
alert
object (torq.public.triage.v1.Alert)

A security event ingested from an alert source and enriched with a triage verdict and context.

id
string

The unique identifier of the alert.

pretty_id
string

The unique identifier of the alert as displayed on the Alerts page.

organization_id
string

The identifier of the organization.

workspace_id
string

The identifier of the workspace.

name
string

The alert name.

alert_type
string

The type of alert. For example, "Endpoint Detection - ldt".

source
object (torq.public.triage.v1.AlertSource)

Contains information from the source security system that generated the alert.

vendor
string

The alert source vendor name. Deprecated: use integration_type_id instead.

link
string

A link to the alert in the source system console.

severity
string

The severity from the source system. For example, "Critical", "High", "Medium", "Low", "Informational".

mitigation
string

The mitigation action taken or available from the source system.

detected_at
string (date-time)

The timestamp when the alert was detected by the source system.

integration_type_id
string

The alert source type identifier. For example, "crowdstrike_streaming", "sentinelone_data_connector".

acknowledged_at
string (date-time)

The timestamp when the alert was acknowledged by Auto Triage.

triaged_at
string (date-time)

The timestamp when Auto Triage completed the verdict assignment.

ingested_at
string (date-time)

The timestamp when the alert was ingested into the workspace.

verdict
object (torq.public.triage.v1.Verdict)

The triage verdict, severity, and confidence assigned by Auto Triage.

value
string

The verdict value. Possible values: "True Positive - Malicious", "True Positive - Benign", "False Positive".

triage_severity
string

The severity assigned by Auto Triage. Possible values: "Critical", "High", "Medium", "Low", "Info".

confidence
string

The Auto Triage's confidence level in the verdict. Possible values: "High", "Medium", "Low".

alert_summary
object (torq.public.triage.v1.AlertSummary)

Contains the alert analysis summary and event timeline.

description
string

A detailed description of the alert.

timeline
Array of object (torq.public.triage.v1.TimelineEvent)

The chronological sequence of events that occurred within the alert.

object

A single event in the alert timeline.

timestamp
string (date-time)

The timestamp of the event.

description
string

A description of what occurred.

justification
object (torq.public.triage.v1.Justification)

The reasoning and supporting evidence behind the triage verdict.

reasoning
string

An explanation of why the verdict was assigned.

supporting_evidence
Array of string

Supporting evidence for the verdict.

string
observables
Array of object (torq.public.triage.v1.Observable)

Key indicators extracted from the alert.

object

A key indicator extracted from the alert.

id
string

The identifier of the observable.

type
string

The type of observable. For example, "IP Address", "Hash", "Hostname", "URL". Unrecognized types are reported as "Unknown".

value
string

The value of the observable.

description
string

Context about the observable.

reputation
string

The reputation status of the observable. Possible values: "Unknown", "Clean", "Suspicious", "Malicious".

link
string

A link to the observable in Torq.

mitre_attack
object (torq.public.triage.v1.MitreAttack)

Contains MITRE ATT&CK framework mappings.

tactics
Array of object (torq.public.triage.v1.MitreTactic)

The MITRE ATT&CK tactics associated with the alert.

object

A MITRE ATT&CK tactic.

id
string

The MITRE ATT&CK tactic ID. For example, "TA0011".

name
string

The tactic name.

url
string

A link to the MITRE ATT&CK tactic page.

techniques
Array of object (torq.public.triage.v1.MitreTechnique)

The MITRE ATT&CK techniques associated with the alert.

object

A MITRE ATT&CK technique.

id
string

The MITRE ATT&CK technique ID. For example, "T1219", "T1059.004".

name
string

The technique name.

url
string

A link to the MITRE ATT&CK technique page.

rules_and_guidance
Array of object (torq.public.triage.v1.RuleReference)

The rules and guidance entries applied during triage.

object

The rule or guidance entry applied during triage.

id
string

The rule or guidance identifier.

name
string

The rule or guidance name.

type
string

The type of reference. Possible values: "Guidance", "Rule".

description
string

The description of the rule or guidance entry.

suggested_actions
Array of object (torq.public.triage.v1.SuggestedAction)

Recommended actions for the analyst based on the triage verdict.

object

The recommended action for the analyst.

id
string

The action identifier.

action
string

The name of the recommended action.

description
string

A detailed description of the recommended action.

priority
string

The priority level of the action. Possible values: "Critical", "High", "Medium", "Low".

case_created
object (torq.public.triage.v1.CaseCreated)

Contains information about the case associated with this alert.

id
integer (int32)

The case pretty ID.

link
string

A link to the case in Torq.

closed_by
object (torq.actor.v1.Actor)

The entity that performed the action.

kind
string

The actor kind. Identifies which actor case is populated. One of: USER, WORKFLOW, INTEGRATION, SERVICE_API_KEY, SOCRATES, TRIAGE, AGENT, BUILDER.

user
object (torq.actor.v1.Actor.User)

User identity information.

email
string

The actor's email address.

full_name
string

The user's full name.

workflow
object (torq.actor.v1.Actor.Workflow)

Workflow execution details.

id
string

The workflow ID.

execution_id
string

The workflow execution ID.

name
string

The workflow name.

integration
object (torq.actor.v1.Actor.Integration)

Integration configuration.

id
string

The integration ID.

type_id
string

The integration type identifier.

service_api_key
object (torq.actor.v1.Actor.ServiceApiKey)

Service account API token information.

name
string

The service account API token name.

client_id
string

The service account API token client ID.

socrates
object (torq.actor.v1.Actor.Socrates)

Original actor information.

original_actor
object (torq.actor.v1.Actor) Recursive

The entity that performed the action.

triage
object (torq.actor.v1.Actor.Triage)

Triage system action.

agent
object (torq.actor.v1.Actor.Agent)

Agent execution details.

id
string

The agent ID.

execution_id
string

The agent execution ID.

builder
object (torq.actor.v1.Actor.Builder)

Workflow Builder acting on behalf of a user.

original_actor
object (torq.actor.v1.Actor) Recursive

The entity that performed the action.

verdict_review
object (torq.public.triage.v1.VerdictReview)

Contains the manual verification status set by an analyst.

action
string

The verdict review action taken. Possible values: "Confirmed", "Changed".

verified_by
string

The email address of the analyst who reviewed the verdict.

verified_at
string (date-time)

The timestamp when the verdict was reviewed.

changes
object (torq.public.triage.v1.VerdictChanges)

Verdict and/or severity changes.

severity
string

The new severity if changed. Possible values: "Critical", "High", "Medium", "Low", "Info". Empty if unchanged.

Valid values[ "Info", "Low", "Medium", "High", "Critical" ]
verdict
string

The new verdict if changed. Possible values: "True Positive - Malicious", "True Positive - Benign", "False Positive". Empty if unchanged.

Valid values[ "True Positive - Malicious", "True Positive - Benign", "False Positive" ]
comment
string

The analyst's comment on the verdict review.

categories
Array of string

The security categories assigned to the alert, ordered by dominance — the first element is the primary category. Always has at least one value. Possible values: "Endpoint Security", "Identity and Access", "Cloud Security", "Data Security", "Email Security", "General". For natively supported sources the categories follow from the detection type; for universal sources Auto Triage classifies them.

string
401

Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token.

object
403

You don't have permission to access this resource.

object